// ==UserScript==
// @name        Leclerc Drive allergies
// @namespace   http://amnesix.eu
// @description Affiche une alerte lorsqu'un produit contient un des ingrédients interdits
// @include     https://*.leclercdrive.fr/*
// @include     http://*.leclercdrive.fr/*
// @version     1.0
// @grant       none
// @require https://code.amnesix.eu/guillaume/allergies-userscripts/raw/branch/master/Allergies-1.1.js
// ==/UserScript==
(function() {
  var ingredients = document.querySelector('div#fiche-produit-composition p.accordeons-detail-paragaphe');
  if(ingredients != null) {
    Allergies.process(ingredients);
  }

  var product = document.querySelector('div#divContenuCentre > div');

  if(product != null) {
    var observer = new MutationObserver(function(mutations) {
      var composition = document.querySelector('div#fiche-produit-composition p.accordeons-detail-paragaphe');
      Allergies.process(composition);
    });
    observer.observe(product, {childList: true});
  }
})();

